package com.seeyon.apps.esign.constants;

public enum EsignConfigConstants {
    plugin("esign",""),
    OA_HOST("http://cd-2.frp.one:58336",""),
    ESIGN_HOST("",""),
    FORMEDITLOGINNAME("","表单修改登录名"),
    updateAccountName("表单","平台方单位名"),
    getTokenUrl("/seeyon/rest/token/","调用获取TOKEN地址"),
    nodeTokenUrl("/seeyon/rest/flow/notification/","超级节点回调URL"),
    restName("",""),
    restPwd("",""),
    signAutoDate("","是否自动加盖签署日期"),
    formLoginName("2019","表单数据录入登录名"),
    sealInfoFormCode("","印章档案编码"),
    aSignPositionKeyword("甲方盖章/签字","甲方签署位置关键字"),
    bSignPositionKeyword("乙方盖章/签字","乙方签署位置关键字"),
    lpSignPositionKeyword("法定代表人","法人签署位置关键字"),
    signLinkSave("false","是否保存签署链接"),
    ESIGN_APP_UNITMAP("","E签宝应用APPID与公司映射关系"),
    ESIGN_APP_SECRETMAP("325c8cc6c2a303d6cf1fb5657a16e591","e签宝appIDSecret映射"),
    ENABLEANTIFAKESIGN("","是否加盖防伪章"),
    FIXAPPUNIT("true","是否固定要用的E签宝应用主体单位"),
    FIXAPPUNITNAME("","固定要用的E签宝应用主体单位名称")
    ;

    private String defaultValue;
    private String description;

    EsignConfigConstants(String defaultValue,String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public String getDefaultValue() {
        return defaultValue;
    }
    public static String getPluginId() {
        return plugin.defaultValue;
    }
}
